
%define rel 1
%define with_nepomuk 0
%define shared_desktop_ontologies_version 0.11.0
%define module kactivities

Name:    kactivities4
Summary: API for using and interacting with Activities 
Version: 4.13.3
Release: %mkrel %{rel}
License: GPLv2+
Group:  System/Libraries
URL:     https://projects.kde.org/projects/kde/kdelibs/kactivities 
Source0: http://download.kde.org/stable/%{version}/src/%{module}-%{version}.tar.xz
BuildRequires: kdelibs-devel

%description
API for using and interacting with Activities as a consumer, 
application adding information to them or as an activity manager.

%files
%{_kde_libdir}/kde4/kcm_activities.so
%{_kde_datadir}/apps/activitymanager/workspace/settings/BlacklistApplicationView.qml
%{_kde_datadir}/kde4/services/kcm_activities.desktop

#------------------------------------------------------------------------------ 

%define kactivities_major 6
%define libkactivities %mklibname kde4-kactivities %{kactivities_major}


%package -n %{libkactivities}
Summary:    Kactivities Runtime Library
Group:      System/Libraries

%description -n %libkactivities
API for using and interacting with Activities as a consumer, application adding
information to them or as an activity manager.

This package provides the %{module} runtime library.

%files -n %libkactivities
%{_kde_libdir}/libkactivities.so.%{kactivities_major}*

#------------------------------------------------------------------------------

%define kactivities_devel %mklibname kde4-kactivities -d

%package -n %{kactivities_devel}
Summary:  Header files for %{module}
Provides: lib%{module}-devel = %{version}-%{release}
Provides: kactivities-devel = %{version}-%{release}
Requires: %{libkactivities} = %{version}-%{release}

Group: Development/Libraries

%description -n %{kactivities_devel}
API for using and interacting with Activities as a consumer, application adding
information to them or as an activity manager.

This packages provides the headers files need to build a package against
%{module}

%files -n %{kactivities_devel}
%{_kde_libdir}/*.so
%{_kde_libdir}/cmake/KActivities/
%{_kde_libdir}/pkgconfig/libkactivities.pc
%{_kde_includedir}/KDE/KActivities/
%{_kde_includedir}/kactivities/

#------------------------------------------------------------------------------

%prep
%setup -q -n %module-%version
%apply_patches

%build
export LD=/usr/bin/ld.gold 
%cmake_kde4
%make -C src/lib
%make -C src/workspace/settings/

%install
rm -rf %buildroot
%makeinstall_std -C build/src/lib
%makeinstall_std -C build/src/workspace/settings/


%changelog
* Mon Apr 04 2016 bb <bb> 4.13.3-1pclos2016
- create for kde5 section

